#ifndef XSTREAMFILEINFO_H
#define XSTREAMFILEINFO_H

#include "xasset.h"

class XStreamFileName;

class XStreamFileInfo : public XAsset
{
public:
    XStreamFileInfo();
    ~XStreamFileInfo();

    virtual void Clear() override;
    virtual void ParseData(QDataStream* aStream) override;

private:
    XStreamFileName* mStream;
};

#endif // XSTREAMFILEINFO_H
